<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.81
Name: [4] Przyjęcie do realizacji leku recepturowego
Description: Szablon CDA dla przyjęcia do realizacji leku recepturowago
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000">
   <title>[4] Przyjęcie do realizacji leku recepturowego</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.81
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']]
Item: (plCdaMagistralFormuaRealizationAcceptance)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']]"
         id="tmp-r-5c464879-23f6-4e13-a872-cda2064a0cea">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="count(hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81'])&gt;=1 and not(hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']/@nullFlavor)">(plCdaMagistralFormuaRealizationAcceptance): element hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="count(hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81'])&lt;=1">(plCdaMagistralFormuaRealizationAcceptance): element hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.81
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']
Item: (plCdaMagistralFormuaRealizationAcceptance)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']"
         id="tmp-r-c4a46aff-85bc-4d4d-90a3-2769c1e96c53">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(plCdaMagistralFormuaRealizationAcceptance): Wartość dla @classCode MUSI wynosić 'ACT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaMagistralFormuaRealizationAcceptance): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaMagistralFormuaRealizationAcceptance): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.81'] | self::hl7:code[@code='PRLR' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14'] | self::hl7:text | self::hl7:statusCode[@code='completed'] | self::hl7:effectiveTime | self::hl7:performer)])">(plCdaMagistralFormuaRealizationAcceptance): We fragmencie dokumentu zgodnym z szablonem "[4] Przyjęcie do realizacji leku recepturowego" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.81'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.81']/@nullFlavor)">(plCdaMagistralFormuaRealizationAcceptance): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.81'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.81'])&lt;=1">(plCdaMagistralFormuaRealizationAcceptance): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.81'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="count(hl7:code[(@code='PRLR' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')])&gt;=1 and not(hl7:code[(@code='PRLR' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')]/@nullFlavor)">(plCdaMagistralFormuaRealizationAcceptance): element hl7:code[(@code='PRLR' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="count(hl7:code[(@code='PRLR' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')])&lt;=1">(plCdaMagistralFormuaRealizationAcceptance): element hl7:code[(@code='PRLR' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaMagistralFormuaRealizationAcceptance): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaMagistralFormuaRealizationAcceptance): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaMagistralFormuaRealizationAcceptance): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(plCdaMagistralFormuaRealizationAcceptance): element hl7:effectiveTime jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaMagistralFormuaRealizationAcceptance): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="count(hl7:performer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.83'])&lt;=1">(plCdaMagistralFormuaRealizationAcceptance): element hl7:performer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.83'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.81
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.81']
Item: (plCdaMagistralFormuaRealizationAcceptance)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.81']"
         id="tmp-r-b2e086dc-c190-4f16-a207-ae4157823e5f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.81'">(plCdaMagistralFormuaRealizationAcceptance): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.81'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaMagistralFormuaRealizationAcceptance): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.81
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']/hl7:code[(@code='PRLR' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')]
Item: (plCdaMagistralFormuaRealizationAcceptance)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']/hl7:code[(@code='PRLR' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')]"
         id="tmp-r-42622a0c-4ffa-4cff-926b-f6a1e8f038ff">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMagistralFormuaRealizationAcceptance): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="@nullFlavor or (@code='PRLR' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')">(plCdaMagistralFormuaRealizationAcceptance): Wartość elementu MUSI wynosić code 'PRLR' codeSystem '2.16.840.1.113883.3.4424.13.5.3.14'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.81
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']/hl7:statusCode[@code='completed']
Item: (plCdaMagistralFormuaRealizationAcceptance)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']/hl7:statusCode[@code='completed']"
         id="tmp-r-960c9e7f-b861-45d0-8a38-810ecdaadd2d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMagistralFormuaRealizationAcceptance): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaMagistralFormuaRealizationAcceptance): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.81
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']/hl7:effectiveTime
Item: (plCdaMagistralFormuaRealizationAcceptance)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']/hl7:effectiveTime"
         id="tmp-r-cdd3b22f-472c-4f40-8c89-4c528cc00fa8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMagistralFormuaRealizationAcceptance): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.81
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.81']/hl7:performer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.83']
Item: (plCdaMagistralFormuaRealizationAcceptance)
--></pattern>
